import Component from '../../component.js'

export default class CoUxLayoutHorizontal extends Component {
    constructor(parent) {
      let selector = 'ux-layout-horizontal';
      super(parent, selector);
      //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/src/lib/ux-components/layout/ux-layout-horizontal/ux-layout-horizontal.component.html?at=support/10.x
    }
    get dataE2E() {
      const path = '//div[@data-e2e="ux-layout-horizontal"]';
      return this.currentPath + path;
    }
    get layoutHorizontalLeft() {
      const path = '//div[contains(@class,"ux-layout-horizontal__left")]';
      return this.dataE2E + path;
    }
    get layoutHorizontalCenter() {
      const path = '//div[contains(@class,"ux-layout-horizontal__center")]';
      return this.dataE2E + path;
    }
    get layoutHorizontalRight() {
      const path = '//div[contains(@class,"ux-layout-horizontal__right")]';
      return this.dataE2E + path;
    }
}


